%global oname base64
Name:          java-base64
Version:       2.3.8
Release:       %mkrel 10
Group:         Development/Java
Summary:       Java class for encoding and decoding Base64 notation
# pom file license comment
# I have released this software into the Public Domain. That
# means you can do whatever you want with it. Really. You don't
# have to match it up with any other open source license -
# just use it. You can rename the files, move the Java packages,
# whatever you want. If your lawyers say you have to have a
# license, contact me, and I'll make a special release to you
# under whatever reasonable license you desire: MIT, BSD, GPL,
# whatever.
License:       Public Domain
URL:           http://iharder.net/base64/
Source0:       https://github.com/omalley/base64/archive/release-%{version}.tar.gz
Patch0:        %{name}-2.3.8-elasticsearch.patch

# test deps
BuildRequires: junit
BuildRequires: maven-local
Provides:      %{oname} = %{version}-%{release}
BuildArch:     noarch

%description
Base64 is a Public Domain Java class for encoding and
decoding Base64 notation. There are one-liner convenience
methods as well as Input and Output Streams.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-release-%{version}
%patch0 -p0

sed -i "s|<version>2.3.9-SNAPSHOT</version>|<version>%{version}</version>|" pom.xml

# Unwanted
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-scm-plugin
# Unwanted - disable javadoc source jar
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin

%mvn_file :%{oname} %{name}
%mvn_file :%{oname} %{oname}

%build

%mvn_build

%install
%mvn_install

(
 cd %{buildroot}%{_javadocdir}
 ln -sf %{name} %{oname}
)

%files -f .mfiles

%files javadoc -f .mfiles-javadoc
%{_javadocdir}/%{oname}



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.3.8-10.mga6
+ Revision: 982065
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.3.8-9.mga6
+ Revision: 976435
- First rebuild of the java stack
- sync package java-base64 with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.8-7.mga5
+ Revision: 739818
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.3.8-5.mga4
+ Revision: 541739
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 2.3.8-4.mga4
+ Revision: 496414
- imported package java-base64


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 2.3.8-3
- switch to XMvn
- minor changes to adapt to current guideline

* Thu May 02 2013 gil cattaneo <puntogil@libero.it> 2.3.8-2
- fix artifact name, added symlink
- fix javadoc name, added symlink

* Sun Apr 28 2013 gil cattaneo <puntogil@libero.it> 2.3.8-1
- initial rpm
